## ahven 1.7

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,6 @@
 	src/ahven-parameters.adb src/ahven-parameters.ads \
 	src/ahven-xml_runner.adb src/ahven-xml_runner.ads \
 	src/ahven-tap_runner.adb src/ahven-tap_runner.ads \
-	src/ahven-tap_parameters.adb src/ahven-tap_parameters.ads \
 	src/ahven-vstrings.adb src/ahven-vstrings.ads \
 	src/${OS_VERSION}/ahven_compat.adb src/${OS_VERSION}/ahven_compat.ads \
 	src/ahven-slist.adb src/ahven-slist.ads
@@ -43,7 +42,6 @@
 	lib/ahven-results.ali \
 	lib/ahven-runner.ali \
 	lib/ahven-slist.ali \
-	lib/ahven-tap_parameters.ali \
 	lib/ahven-tap_runner.ali \
 	lib/ahven-parameters.ali \
 	lib/ahven-temporary_output.ali \
@@ -51,8 +49,8 @@
 	lib/ahven-vstrings.ali \
 	lib/ahven-xml_runner.ali
 
-SO_LIBRARY=libahven.so.16.0
-GPR_FILE=ahven.gpr
+SO_LIBRARY=libahven.so.17.0
+GPR_FILE=gnat/ahven.gpr
 
 default: build_all
 
@@ -62,28 +60,30 @@
 test_objects:
 	mkdir -p test_objects
 
-
 lib:
 	mkdir -p lib
 
 build_all: objects test_objects build_lib build_tests
 
 build_lib: objects lib
-	OS_VERSION=$(OS_VERSION) gnatmake -Pahven_lib
+	OS_VERSION=$(OS_VERSION) gnatmake -Pgnat/ahven_lib
 
 build_tests: test_objects build_lib
-	OS_VERSION=$(OS_VERSION) gnatmake -Pahven_tests
+	OS_VERSION=$(OS_VERSION) gnatmake -Pgnat/ahven_tests
 
 clean: clean_lib clean_tests clean_docs
 
 clean_lib:
-	rm -rf lib objects
+	gnatclean -q -Pgnat/ahven_lib
 
-clean_tests: test_objects
-	rm -rf results test_objects
+clean_tests:
+	gnatclean -q -Pgnat/ahven_tests
 
 clean_docs:
 	rm -f doc/api/*.html ahven.specs
+
+distclean:
+	rm -rf lib objects results test_objects tester tap_tester
 
 install: install_lib
 
@@ -109,7 +109,7 @@
 
 control:
 	rm -f objects/*.adt objects/*.ali
-	cd objects && adactl -f ../rules/ahven.aru ../src/*.ad[bs] ../test/*.ad[bs]
+	cd objects && adactl -f ../rules/ahven.aru ../src/*.ad[bs] ../test/*.ad[bs] ../src/unix/*.ad[bs]
 	rm -f objects/*.adt objects/*.ali
 
 docs: ahven.specs
@@ -118,3 +118,6 @@
 
 ahven.specs: $(SOURCES)
 	find src/ -name "*.ads" -print |sort|uniq > ahven.specs
+
+tags: $(SOURCES)
+	ectags src/*.adb
