=== debian/changelog ===
ahven (1.7-2) unstable; urgency=low

  * Declare conflict with libahven-dev (Closes: #563629).
  * Fix debhelper-but-no-misc-depends lintian warning.

 -- Reto Buerki <reet@codelabs.ch>  Mon, 11 Jan 2010 20:44:49 +0100

ahven (1.7-1) unstable; urgency=low

  * Add kfreebsd-amd64 to Architecture (Closes: #542407).
  * Merging upstream version 1.7.
  * Drop obsolete vstrings patch.
  * Bump soname from 16 to 17.
  * Update to Standards-Version 3.8.3 (no changes).
  * Add docbook-testreport to libahven-dev examples.
  * Install upstream changelog.
  * Add static/dynamic library kind support.
  * Migrate to gnat-4.4 (Closes: #533152, #555095).
  * Add aliversion to dev package.
  * Switch to 3.0 (quilt) source package format.
  * Remove alpha from Architecture.
  * Update upstream homepage.
  * Update adabrowse specific architecture list.
  * Update debian/copyright file.

 -- Reto Buerki <reet@codelabs.ch>  Wed, 23 Dec 2009 18:51:28 +0100

ahven (1.6-2) unstable; urgency=low

  * Fix wrong-section-according-to-package-name warning.
    - ahven-dbg: devel -> debug.
  * Add patch to fix vstring truncation bug.
  * Update to Standards-Version 3.8.1 (no changes).

 -- Reto Buerki <reet@codelabs.ch>  Sun, 10 May 2009 19:30:58 +0200

ahven (1.6-1) unstable; urgency=low

  * Update upstream homepage location.
  * Add Vcs-Browser setting to control file.
  * Remove "section" field from binary package.
  * Expand extended package description.
  * Merging upstream version 1.6.
  * Bump soname from 14 to 16 (new upstream release).
  * Update clean target in debian/rules.
  * Point the watch file to the new Sourceforge location.
  * Update the download location in debian/copyright.
  * Add Vcs-Git setting to control file.

 -- Reto Buerki <reet@codelabs.ch>  Wed, 04 Mar 2009 11:55:29 +0100

ahven (1.4-2) unstable; urgency=low

  * Don't generate docs on mips (Closes: #486861, #513745).
  * Use dh_prep instead of deprecated dh_clean -k.

 -- Reto Buerki <reet@codelabs.ch>  Wed, 04 Feb 2009 21:54:06 +0100

ahven (1.4-1) unstable; urgency=low

  * Update maintainer and uploader e-mail address.
  * Merging upstream version 1.4.
  * Run ahven unit tests in build target.
  * Add Debian specific ahven project file.

 -- Reto Buerki <reet@codelabs.ch>  Wed, 28 Jan 2009 01:07:43 +0100

ahven (1.3-2) unstable; urgency=low

  * Removed CFLAGS from rules (deprecated with new dpkg).
  * Don't build ahven docs for armel architecture, adabrowse is not
    available there.
  * Added fail-missing to dh_install.
  * Corrected architecture fields in control file.

 -- Reto Buerki <buerki@swiss-it.ch>  Tue, 02 Sep 2008 10:36:04 +0200

ahven (1.3-1) unstable; urgency=low

  * New upstream release:
    - Bumps soname from 12 to 13 - no other packages need to be transitioned.
  * Updated ahven sources to version 1.3.
  * Removed dpatch from Build-Depends.
    - No need to patch documentation generation any more.
  * Updated to Standards-Version: 3.8.0 (no changes).
  * Updated supported architectures.
    - Added kfreebsd-i386, mips, mipsel, ppc64 to list.

 -- Reto Buerki <buerki@swiss-it.ch>  Mon, 25 Aug 2008 23:24:01 +0200

ahven (1.2-1) unstable; urgency=low

  * New upstream release:
      - Bumps soname 11 to 12 - no other packages need to be transitioned.
  * API-documentation is built with adabrowse now.
  * Added adabrowse to Build-Depends.
  * Added patch to build docs for ahven-xml_runner.ads and ahven-compat.ads
    as well.

 -- Reto Buerki <buerki@swiss-it.ch>  Sun, 18 May 2008 21:02:37 +0200

ahven (1.1-3) unstable; urgency=low

  * Added missing docs in libahven-dev package.

 -- Reto Buerki <buerki@swiss-it.ch>  Sun, 11 May 2008 08:59:23 +0000

ahven (1.1-2) unstable; urgency=low

  * Only building ahven on architectures supported by gnat
    (alpha amd64 hppa i386 ia64 powerpc s390 sparc).
  * Further excluding mips, mipsel (not ported yet).

 -- Reto Buerki <buerki@swiss-it.ch>  Thu, 08 May 2008 10:16:06 +0200

ahven (1.1-1) unstable; urgency=low

  * Initial release.

 -- Reto Buerki <buerki@swiss-it.ch>  Fri, 11 Apr 2008 11:20:14 +0200
