=== debian/control ===
Source: ahven
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>
Build-Depends: debhelper (>= 7), adabrowse [amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mipsel powerpc ppc64 s390 sparc], gnat, gnat-4.4
Standards-Version: 3.8.3
Homepage: http://ahven.stronglytyped.org/
Vcs-Browser: http://git.codelabs.ch/?p=debian/ahven.git
Vcs-Git: git://git.codelabs.ch/debian/ahven.git

Package: libahven17.0
Architecture: amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Unit test library for Ada
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.

Package: libahven1-dev
Section: libdevel
Architecture: amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Depends: ${misc:Depends}, libahven17.0 (= ${binary:Version}), gnat-4.4
Conflicts: libahven-dev
Replaces: libahven-dev
Description: Unit test library for Ada (development)
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.
 .
 This package contains the development files.

Package: ahven-dbg
Section: debug
Priority: extra
Architecture: amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Depends: ${misc:Depends}, libahven17.0 (= ${binary:Version}), libahven1-dev (= ${binary:Version})
Description: Unit test library for Ada (debug)
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.
 .
 This package contains the debug symbols.
