=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH	?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) distclean
	$(MAKE) clean_docs

	dh_clean

build: build-stamp
build-stamp:
	dh_testdir

	CFLAGS="$(CFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS)" $(MAKE) LIBTYPE=static

	LD_LIBRARY_PATH=./lib $(MAKE) check

ifneq ($(DEB_BUILD_ARCH),armel)
ifneq ($(DEB_BUILD_ARCH),mips)
	$(MAKE) docs
endif
endif

	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) PREFIX=$(CURDIR)/debian/tmp/usr install

	mv debian/tmp/usr/lib/ahven/libahven.a debian/tmp/usr/lib
	mv debian/tmp/usr/lib/ahven/libahven.so.* debian/tmp/usr/lib
	ln -sf libahven.so.`basename debian/tmp/usr/lib/libahven.so.*.* | sed -e 's/libahven.so.//'` debian/tmp/usr/lib/libahven.so
	ln -sf libahven.so.`basename debian/tmp/usr/lib/libahven.so.*.* | sed -e 's/libahven.so.//'` debian/tmp/usr/lib/libahven.so.`basename debian/tmp/usr/lib/libahven.so.*.* | sed -e 's/libahven.so.//' -e 's/\..*//'`

	mkdir -p debian/tmp/usr/share/ada/adainclude
	mv debian/tmp/usr/include/ahven debian/tmp/usr/share/ada/adainclude

	mkdir -p debian/tmp/usr/lib/ada/adalib
	mv debian/tmp/usr/lib/ahven debian/tmp/usr/lib/ada/adalib

	mv debian/tmp/usr/lib/gnat/* debian/tmp/usr/share/ada/adainclude
	rmdir debian/tmp/usr/lib/gnat

	cp debian/addon/*.gpr debian/tmp/usr/share/ada/adainclude

binary: binary-arch

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_installdocs
	dh_installexamples
	dh_install --fail-missing --sourcedir=debian/tmp
	dh_lintian
	dh_strip --dbg-package=ahven-dbg
	dh_compress -X.ads -X.adb -XMakefile
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: clean build install binary binary-arch binary-indep
