## ahven 1.9

=== Makefile ===
--- 
+++ 
@@ -17,10 +17,11 @@
 PREFIX?=$(HOME)/libraries/ahven
 INSTALL=install
 OS_VERSION?=unix
+LIBDIR?=$(PREFIX)/lib
 
 SOURCES=src/ahven-framework.adb src/ahven-framework.ads \
 	src/ahven-listeners-basic.adb src/ahven-listeners-basic.ads \
-	src/ahven-listeners.ads src/ahven-listeners.adb \
+	src/ahven-listeners.ads \
 	src/ahven-results.adb src/ahven-results.ads \
 	src/ahven-runner.adb src/ahven-runner.ads \
 	src/ahven-text_runner.adb src/ahven-text_runner.ads \
@@ -30,7 +31,7 @@
 	src/ahven-parameters.adb src/ahven-parameters.ads \
 	src/ahven-xml_runner.adb src/ahven-xml_runner.ads \
 	src/ahven-tap_runner.adb src/ahven-tap_runner.ads \
-	src/ahven-vstrings.adb src/ahven-vstrings.ads \
+	src/ahven-astrings.ads \
 	src/${OS_VERSION}/ahven_compat.adb src/${OS_VERSION}/ahven_compat.ads \
 	src/ahven-slist.adb src/ahven-slist.ads
 
@@ -46,10 +47,10 @@
 	lib/ahven-parameters.ali \
 	lib/ahven-temporary_output.ali \
 	lib/ahven-text_runner.ali \
-	lib/ahven-vstrings.ali \
+	lib/ahven-astrings.ali \
 	lib/ahven-xml_runner.ali
 
-SO_LIBRARY=libahven.so.17.0
+STATIC_LIBRARY=libahven.a
 GPR_FILE=gnat/ahven.gpr
 
 default: build_all
@@ -85,17 +86,20 @@
 distclean:
 	rm -rf lib objects results test_objects tester tap_tester
 
-install: install_lib
+install: install_lib install_docs
 
 install_lib:
 	mkdir -p $(PREFIX)/include/ahven
-	mkdir -p $(PREFIX)/lib/ahven
+	mkdir -p $(LIBDIR)/ahven
 	mkdir -p $(PREFIX)/lib/gnat
 	$(INSTALL) -m 644 $(SOURCES) $(PREFIX)/include/ahven
-	$(INSTALL) -m 444 $(ALI_FILES) $(PREFIX)/lib/ahven
-	$(INSTALL) -m 644 lib/$(SO_LIBRARY) $(PREFIX)/lib/ahven
-	ln -sf $(PREFIX)/lib/ahven/$(SO_LIBRARY) $(PREFIX)/lib/libahven.so
+	$(INSTALL) -m 444 $(ALI_FILES) $(LIBDIR)/ahven
+	$(INSTALL) -m 644 lib/$(STATIC_LIBRARY) $(LIBDIR)/ahven
 	$(INSTALL) -m 644 $(GPR_FILE) $(PREFIX)/lib/gnat
+
+install_docs:
+	mkdir -p $(PREFIX)/share/doc/ahven
+	cp -r doc/manual/en/build/html $(PREFIX)/share/doc/ahven
 
 check: build_tests
 	./tester -c
@@ -116,6 +120,9 @@
 	mkdir -p doc/api
 	adabrowse -c adabrowse.conf -i -f@ahven.specs -o doc/api/
 
+userguide:
+	$(MAKE) -C doc/manual/en html
+
 ahven.specs: $(SOURCES)
 	find src/ -name "*.ads" -print |sort|uniq > ahven.specs
