=== debian/changelog ===
ahven (1.9-1) unstable; urgency=low

  * Merging upstream version 1.9.
  * Update library-kind-support.patch.
  * Rename libahven17.0 package to libahven19.0.
  * Bump dev package aliversion to 2.
  * Remove adabrowse from Build-Depends.
    - Not needed anymore because upstream now uses python-sphinx to generate
      docs.
  * Update to Standards-Version 3.9.2 (no changes).
  * Drop unneeded ahven-dbg.lintian-overrides.
  * Migrate to gnat-4.6.
  * Update to debhelper 8.
  * Switch to minimal debian/rules syntax.
  * Update debian/copyright file.
  * Exclude doc/manual from libahven2 docs.
    - The Sphinx Ada domain required to build the manual is not yet available
      in Debian.

 -- Reto Buerki <reet@codelabs.ch>  Mon, 29 Aug 2011 14:30:21 +0200
