=== debian/changelog ===
ahven (2.1-4) unstable; urgency=low

  * Update copyright information
  * Declare conflict with libahven1-dev (Closes: #699193)

 -- Reto Buerki <reet@codelabs.ch>  Wed, 30 Jan 2013 10:04:08 +0100

ahven (2.1-3) unstable; urgency=low

  * Update comment header in GNAT project file
  * Install dynamic/static libs directly to usr/lib
  * Set Architecture to 'any'
  * Also depend on gnat package (Closes: #663670)
  * Build dynamic/static lib in separate Obj/Lib dirs
  * Update to Standards-Version 3.9.3 (no changes)

 -- Reto Buerki <reet@codelabs.ch>  Fri, 16 Mar 2012 13:15:49 +0100

ahven (2.1-2) unstable; urgency=low

  * Add conflict with libahven2-dev (Closes: #646927)
  * Enable DM upload
  * Update Vcs-Git URL

 -- Reto Buerki <reet@codelabs.ch>  Mon, 21 Nov 2011 17:27:08 +0100

ahven (2.1-1) unstable; urgency=low

  * Imported Upstream version 2.1
  * Bump dev package aliversion to 3.
  * Rename libahven19.0 package to libahven21.0.
  * Unapply patches from source.
  * Override shlib-with-executable-stack lintian warning.

 -- Reto Buerki <reet@codelabs.ch>  Thu, 27 Oct 2011 13:02:02 +0200
