=== debian/control ===
Source: ahven
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), gnat, gnat-4.6
Standards-Version: 3.9.3
Homepage: http://ahven.stronglytyped.org/
Vcs-Browser: http://git.codelabs.ch/?p=debian/ahven.git
Vcs-Git: http://git.codelabs.ch/git/debian/ahven.git

Package: libahven21.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Unit test library for Ada
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.

Package: libahven3-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libahven21.0 (= ${binary:Version}), gnat, gnat-4.6
Conflicts: libahven1-dev, libahven2-dev
Replaces: libahven1-dev, libahven2-dev
Description: Unit test library for Ada (development)
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.
 .
 This package contains the development files.

Package: ahven-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libahven21.0 (= ${binary:Version}), libahven3-dev (= ${binary:Version})
Description: Unit test library for Ada (debug)
 Ahven is a simple unit test library for the Ada 95 programming language. It
 is loosely modeled after JUnit, and some ideas are taken from AUnit. Ahven is
 free software distributed under permissive ISC license and should work with any
 Ada 95 compiler.
 .
 This package contains the debug symbols.
