=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_build:
	dh_auto_build -- LIBTYPE=dynamic
	dh_auto_build -- LIBTYPE=static

override_dh_auto_test:
	dh_auto_test -- LD_LIBRARY_PATH=./lib

override_dh_auto_install:
	$(MAKE) PREFIX=$(CURDIR)/debian/tmp/usr install_lib

	mkdir -p debian/tmp/usr/share/ada/adainclude
	mv debian/tmp/usr/include/ahven debian/tmp/usr/share/ada/adainclude

	mkdir -p debian/tmp/usr/lib/ada/adalib
	mv debian/tmp/usr/lib/ahven debian/tmp/usr/lib/ada/adalib

	mv debian/tmp/usr/lib/gnat/* debian/tmp/usr/share/ada/adainclude
	rmdir debian/tmp/usr/lib/gnat

	cp debian/addon/*.gpr debian/tmp/usr/share/ada/adainclude

override_dh_install:
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_compress:
	dh_compress -X.ads -X.adb -XMakefile

override_dh_strip:
	dh_strip --dbg-package=ahven-dbg
