=== debian/changelog ===
ahven (2.4+repack-1) unstable; urgency=medium

  * Imported Upstream version 2.4
  * Strip pre-built manual
  * Remove obsolete DM-Upload-Allowed from debian/control
  * Update binary package names
  * Transition to gnat-4.9 compiler (Closes: #753957, #755010)
  * Update to Standards-Version 3.9.5
  * Enable dpkg-buildflags hardening options
  * Update library kind support patch
  * New patch 0002-Fix-misplaced-then-warnings-style.patch
  * Update debian/copyright
  * Remove pre-built manual files from debian/copyright

 -- Reto Buerki <reet@codelabs.ch>  Mon, 04 Aug 2014 22:52:09 +0200
