=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,10 @@
 #!/usr/bin/make -f
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+ADAFLAGS := $(filter-out -Wformat -Werror=format-security, $(CFLAGS))
+export ADAFLAGS
 
 %:
 	dh ${@}
